<div class="manage-table" *ngIf="!isUpdate">
    <table mat-table [dataSource]="contents">
        <ng-container matColumnDef="id">
            <th mat-header-cell *matHeaderCellDef> ID </th>
            <td mat-cell *matCellDef="let element"> {{element.id}} </td>
        </ng-container>

        <ng-container matColumnDef="content">
            <th mat-header-cell *matHeaderCellDef> Nội Dung </th>
            <td mat-cell *matCellDef="let element"> {{element.sumaryContent}} </td>
        </ng-container>

        <ng-container matColumnDef="img">
            <th mat-header-cell *matHeaderCellDef> Ảnh </th>
            <td mat-cell *matCellDef="let element"><img [src]="element.img"/> </td>
        </ng-container>

        <ng-container matColumnDef="topic">
            <th mat-header-cell *matHeaderCellDef> Chủ Đề </th>
            <td mat-cell *matCellDef="let element"> {{element.topic.topicName}} </td>
        </ng-container>

        <ng-container matColumnDef="deleting">
            <th mat-header-cell *matHeaderCellDef> Xóa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="primary" (click)="delete(element)">Xóa</button>
            </td>
        </ng-container>

        <ng-container matColumnDef="updating">
            <th mat-header-cell *matHeaderCellDef> Sửa </th>
            <td mat-cell *matCellDef="let element">
                <button mat-button color="accent" (click)="update(element)">Sửa</button>
            </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
</div>
<button mat-button (click)="addContent()" color="accent">THÊM NỘI DUNG</button>
<div *ngIf="isUpdate">
    <form [formGroup]="formUpdate" class="formUpdate">
        <mat-form-field class="col-12">
            <textarea style="height: 100px;" matInput placeholder="Nội Dung" formControlName="sumaryContent" id="content"></textarea>
        </mat-form-field>
        <div class="col-12" style="text-align: left;">
            <p style="text-align: left;display: inline;">Ảnh Minh Họa</p>&nbsp;
            <input type="file" id="fileUpload" (input)="onFileSelected($event)" style="display: none" #fileinput />
            <button type="button" mat-button class="btn-outline border-primary" (click)="fileinput.click()">Thêm
                Ảnh</button>
        </div>
        <div class="col-12 row imgs-area">
            <ng-container *ngIf="formUpdate.value['img'].length; else emptyI">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card">
                    <div class="card">
                        <button mat-button id="closebtn" (click)="removeImgs(img)">
                            <mat-icon svgIcon="close"></mat-icon>
                        </button>
                        <div class="img-area">
                            <img [src]="formUpdate.value['img']" />
                        </div>
                    </div>
                </div>
            </ng-container>
            <ng-template #emptyI>
                <p>Không có ảnh minh họa nào</p>
            </ng-template>
        </div>
        <div class="col-12 row imgs-area" style="text-align: left;">
            <mat-form-field class="col-12" style="text-align: left;display: inline;">
                <mat-label>Đổi Chủ Đề</mat-label>
                <mat-select class="col-12" id="topic" class="btn-outline" (selectionChange)="onChangeTopic($event)">
                    <mat-option *ngFor="let topic of CONST.TOPIC_SEARCH.value" [value]="topic.topicId">
                        {{CONST.TOPIC_SEARCH.name}}: {{topic.topicName}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="col-12 row imgs-area">
            <ng-container *ngIf="formUpdate.value['topic'].length != 0; else emptyI">
                <div class="col-12 col-sm-6 col-md-4 col-lg-3 out-card">
                    <div class="card">
                        <div class="p-area">
                            <p>{{formUpdate.value['topic'].topicName}}</p>
                        </div>
                    </div>
                </div>
            </ng-container>
            <ng-template #emptyI>
                <p>Không có chủ đề nào</p>
            </ng-template>
        </div>
        <div class="col-12 imgs-area">
            <button *ngIf="!isAdd" color="primary"  mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onUpdate()">CẬP
                NHẬT</button>&nbsp;
            <button *ngIf="isAdd" color="primary"  mat-button matStepperNext type="button" [disabled]="!formUpdate.valid"
                (click)="onAdd()">THÊM MỚI</button>&nbsp;
            <button color="accent" class="border-accent" mat-button matStepperNext type="button" (click)="return()">QUAY
                VỀ</button>
        </div>
    </form>
</div>